org.apache.cassandra.utils

## Class NativeSSTableLoaderClient

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableLoader.Client
  - - org.apache.cassandra.utils.NativeSSTableLoaderClient

Direct Known Subclasses:
  CqlBulkRecordWriter.ExternalClient

    public class NativeSSTableLoaderClient
    extends SSTableLoader.Client

### Field Summary

Fields
`protected java.util.Map<java.lang.String,CFMetaData>` `tables`

### Constructor Summary

Constructors
Constructor and Description
`NativeSSTableLoaderClient(java.util.Collection<java.net.InetAddress> hosts, int port, com.datastax.driver.core.AuthProvider authProvider, com.datastax.driver.core.SSLOptions sslOptions)`
`NativeSSTableLoaderClient(java.util.Collection<java.net.InetAddress> hosts, int port, java.lang.String username, java.lang.String password, com.datastax.driver.core.SSLOptions sslOptions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CFMetaData` `getTableMetadata(java.lang.String tableName)` Validate that `keyspace` is an existing keyspace and `cfName` one of its existing column family.
`void` `init(java.lang.String keyspace)` Initialize the client.
`void` `setTableMetadata(CFMetaData cfm)`

### Methods inherited from class org.apache.cassandra.io.sstable.SSTableLoader.Client

`addRangeForEndpoint, getConnectionFactory, getEndpointToRangesMap, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tables

    protected final java.util.Map<java.lang.String,CFMetaData> tables

### Constructor Detail

#### NativeSSTableLoaderClient

    public NativeSSTableLoaderClient(java.util.Collection<java.net.InetAddress> hosts,
                                     int port,
                                     java.lang.String username,
                                     java.lang.String password,
                                     com.datastax.driver.core.SSLOptions sslOptions)

#### NativeSSTableLoaderClient

    public NativeSSTableLoaderClient(java.util.Collection<java.net.InetAddress> hosts,
                                     int port,
                                     com.datastax.driver.core.AuthProvider authProvider,
                                     com.datastax.driver.core.SSLOptions sslOptions)

### Method Detail

#### init

    public void init(java.lang.String keyspace)

Description copied from class: `SSTableLoader.Client`
Initialize the client. Perform any step necessary so that after the call to the this method: * partitioner is initialized * getEndpointToRangesMap() returns a correct map This method is guaranteed to be called before any other method of a client.

Specified by:
  `init` in class `SSTableLoader.Client`

#### getTableMetadata

    public CFMetaData getTableMetadata(java.lang.String tableName)

Description copied from class: `SSTableLoader.Client`
Validate that `keyspace` is an existing keyspace and `cfName` one of its existing column family.

Specified by:
  `getTableMetadata` in class `SSTableLoader.Client`

#### setTableMetadata

    public void setTableMetadata(CFMetaData cfm)

Overrides:
  `setTableMetadata` in class `SSTableLoader.Client`